Organisation
Register an encryption key
Register an encryption key
curl --request POST \
--url https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_provider": "<string>",
"key_ref": "<string>",
"location": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key_provider: '<string>', key_ref: '<string>', location: '<string>'})
};
fetch('https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys"
payload = {
"key_provider": "<string>",
"key_ref": "<string>",
"location": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"encryption_key_id": "<string>",
"encryption_key_mode": "managed",
"encryption_key_status": "pending",
"key_provider": "<string>",
"key_ref": "<string>",
"location": "<string>",
"updated_at": "<string>",
"activated_at": "<string>",
"health": {
"checked_at": "<string>",
"is_healthy": true,
"failed_check": "<string>",
"message": "<string>"
},
"is_current": true,
"last_verification": {
"checks": [
{
"check_id": "<string>",
"is_passed": true,
"message": "<string>"
}
],
"is_passed": true,
"checked_at": "<string>"
},
"setup": {
"atlan_principal_arn": "<string>",
"template": "<unknown>"
},
"verified_at": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Path Parameters
Body
application/json
Response
HTTP 201 response.
Available options:
managed, customer Available options:
pending, verified, active, retired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Register an encryption key
curl --request POST \
--url https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_provider": "<string>",
"key_ref": "<string>",
"location": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key_provider: '<string>', key_ref: '<string>', location: '<string>'})
};
fetch('https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys"
payload = {
"key_provider": "<string>",
"key_ref": "<string>",
"location": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"encryption_key_id": "<string>",
"encryption_key_mode": "managed",
"encryption_key_status": "pending",
"key_provider": "<string>",
"key_ref": "<string>",
"location": "<string>",
"updated_at": "<string>",
"activated_at": "<string>",
"health": {
"checked_at": "<string>",
"is_healthy": true,
"failed_check": "<string>",
"message": "<string>"
},
"is_current": true,
"last_verification": {
"checks": [
{
"check_id": "<string>",
"is_passed": true,
"message": "<string>"
}
],
"is_passed": true,
"checked_at": "<string>"
},
"setup": {
"atlan_principal_arn": "<string>",
"template": "<unknown>"
},
"verified_at": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}